package rest

// GetAddressRequest 地址转换请求
type GetAddressRequest struct {
	Uname    string `json:"uname"`
	Province string `json:"province"`
	City     string `json:"city"`
	Street   string `json:"street"`
	Town     string `json:"town"`
	Address  string `json:"address"`
}

func (o GetAddressRequest) GetApiName() string {
	return "jingdong.jingdong.ks.getJDAddress"
}

func (o GetAddressRequest) GetRespName() string {
	return "jingdong_jingdong_ks_getJDAddress_responce"
}

func (o GetAddressRequest) GetRespObj() interface{} {
	return GetAddressResponse{}
}

// GetAddressResponse 返回参数.
type GetAddressResponse struct {
	Response struct {
		Message string           `json:"message"`
		Result  GetAddressParams `json:"result"`
		Code    string           `json:"code"`
	}
	Code string `json:"code"`
}

type GetAddressParams struct {
	Address    string `json:"address"`
	TownID     uint   `json:"townid"`
	ProvinceID uint   `json:"provinceid"`
	CityID     uint   `json:"cityid"`
	StreetID   uint   `json:"streetid"`
}
