package afs

import "git.oa00.com/go/jcook-sdk/api/rest"

// GetAfsAddressRequest 获取售后回寄地址.
type GetAfsAddressRequest struct {
	CtpProtocol           rest.CtpProtocol      `json:"ctpProtocol"`
	LogisticsAddressParam LogisticsAddressParam `json:"logisticsAddressParam"`
}

type LogisticsAddressParam struct {
	AfsServiceID uint   `json:"afsServiceId"`
	Pin          string `json:"pin"`
}

func (o GetAfsAddressRequest) GetApiName() string {
	return "jingdong.ctp.afs.logistics.getLogisticsAddress"
}

func (o GetAfsAddressRequest) GetRespName() string {
	return "jingdong_ctp_afs_logistics_getLogisticsAddress_responce"
}

func (o GetAfsAddressRequest) GetRespObj() interface{} {
	return AddressResponse{}
}

// AddressResponse 返回参数.
type AddressResponse struct {
	Result struct {
		Data    AddressParams `json:"data"`
		ErrCode uint          `json:"errCode"`
		ErrMsg  string        `json:"errMsg"`
		Success bool          `json:"success"`
	} `json:"result"`
}

type AddressParams struct {
	Address         string `json:"address"`
	ContactsZipCode string `json:"contactsZipCode"`
	ContactsName    string `json:"ContactsName"`
	ContactsMobile  string `json:"ContactsMobile"`
}
