package afs

import "git.oa00.com/go/jcook-sdk/api/rest"

// CancelAfsServiceDetailRequest 售后服务单取消.
type CancelAfsServiceDetailRequest struct {
	CtpProtocol           rest.CtpProtocol   `json:"ctpProtocol"`
	CancelAfsServiceParam ServiceDetailParam `json:"cancelAfsServiceParam"`
}

func (o CancelAfsServiceDetailRequest) GetApiName() string {
	return "jingdong.ctp.afs.servicenbill.cancelAfsService"
}

func (o CancelAfsServiceDetailRequest) GetRespName() string {
	return "jingdong_ctp_afs_servicenbill_cancelAfsService_responce"
}

func (o CancelAfsServiceDetailRequest) GetRespObj() interface{} {
	return CancelAfsResponse{}
}

// CancelAfsResponse 售后单创建返回.
type CancelAfsResponse struct {
	Result struct {
		Data    CancelAfsParams `json:"data"`
		ErrCode uint            `json:"errCode"`
		ErrMsg  string          `json:"errMsg"`
		Success bool            `json:"success"`
	} `json:"result"`
}

type cancelState uint

const (
	CancelStateNot cancelState = iota + 1
	CancelStateSuccess
	CancelStateFail
)

var cancelStateMap = map[cancelState]string{
	CancelStateNot:     "不可取消",
	CancelStateSuccess: "取消成功",
	CancelStateFail:    "取消失败",
}

func (o cancelState) String() string {
	if value, ok := cancelStateMap[o]; !ok {
		return rest.UnKnow
	} else {
		return value
	}
}

type CancelAfsParams struct {
	CancelState cancelState `json:"cancelState"`
}
