package afs

import "git.oa00.com/go/jcook-sdk/api/rest"

type ApplyReasonParam struct {
	Pin     string     `json:"pin"`
	SkuID   uint       `json:"skuId"`
	OrderID uint       `json:"orderId"`
	AfsType returnType `json:"afsType"`
}

// QueryAfterSaleReasonRequest 查询售后原因.
type QueryAfterSaleReasonRequest struct {
	CtpProtocol      rest.CtpProtocol `json:"ctpProtocol"`
	ApplyReasonParam ApplyReasonParam `json:"applyReasonParam"`
}

func (o QueryAfterSaleReasonRequest) GetApiName() string {
	return "jingdong.ctp.afs.operate.apply.getApplyReason"
}

func (o QueryAfterSaleReasonRequest) GetRespName() string {
	return "jingdong_ctp_afs_operate_apply_getApplyReason_responce"
}

func (o QueryAfterSaleReasonRequest) GetRespObj() interface{} {
	return ReasonResponse{}
}

type ReasonResponse struct {
	Result struct {
		Data    []ReasonParams `json:"data"`
		ErrCode uint           `json:"errCode"`
		ErrMsg  string         `json:"errMsg"`
		Success bool           `json:"success"`
	} `json:"result"`
}

type ReasonParams struct {
	ApplyReasonName string `json:"applyReasonName"`
	ApplyReasonID   uint   `json:"applyReasonId"`
	NeedUploadPic   bool   `json:"needUploadPic"`
}
