package logisitics

import (
	"git.oa00.com/go/jcook-sdk/api/rest"
)

// GetFeeRequest 获取物流费用请求.
type GetFeeRequest struct {
	CtpProtocol        rest.CtpProtocol   `json:"protocol"`
	ApiFreightFeeParam ApiFreightFeeParam `json:"apiFreightFeeParam"`
}

type SkuInfo struct {
	SkuPrice float64 `json:"skuPrice"`
	SkuID    string  `json:"skuId"`
	SkuName  string  `json:"skuName"`
	Quantity uint    `json:"quantity"`
}

type ApiFreightFeeParam struct {
	Address     rest.Address `json:"address"`
	Pin         string       `json:"pin"`
	PaymentType uint         `json:"paymentType"`
	OrderFee    float64      `json:"orderFee"`
	SkuList     []SkuInfo    `json:"skuList"`
}

func (o GetFeeRequest) GetApiName() string {
	return "jingdong.ctp.order.getFreightFee"
}

func (o GetFeeRequest) GetRespName() string {
	return "jingdong_ctp_order_getFreightFee_responce"
}

func (o GetFeeRequest) GetRespObj() interface{} {
	return GetFeeResponse{}
}

// GetFeeResponse 获取物流费用
type GetFeeResponse struct {
	Result struct {
		Data    GetFeeParams `json:"data"`
		ErrCode uint         `json:"errCode"`
		ErrMsg  string       `json:"errMsg"`
		Success bool         `json:"success"`
	} `json:"result"`
}

type GetFeeParams struct {
	FreightFee float64 `json:"freightFee"`
}
