package logisitics

// GetLogisticsRequest 获取物流轨迹.
type GetLogisticsRequest struct {
	CustomerID uint   `json:"customerId"`
	ChannelID  uint   `json:"channelId"`
	AppKey     string `json:"appKey"`
	OrderID    uint   `json:"orderId"`
	Pin        string `json:"pin"`
}

func (o GetLogisticsRequest) GetApiName() string {
	return "jingdong.ctp.order.getLogistics"
}

func (o GetLogisticsRequest) GetRespName() string {
	return "jingdong_ctp_order_getLogistics_responce"
}

func (o GetLogisticsRequest) GetRespObj() interface{} {
	return GetLogisticsResponse{}
}

// GetLogisticsResponse 获取物流轨迹返回.
type GetLogisticsResponse struct {
	Result struct {
		Data    []GetLogisticsParams `json:"data"`
		ErrCode uint                 `json:"errCode"`
		ErrMsg  string               `json:"errMsg"`
		Success bool                 `json:"success"`
	} `json:"result"`
}

type GetLogisticsParams struct {
	LogisticsName    string         `json:"logisticsName"`
	WaybillCode      string         `json:"waybillCode"`
	OperatorNodeList []OperatorNode `json:"operatorNodeList"`
}

type OperatorNode struct {
	Content        string `json:"content"`
	GroupState     string `json:"groupState"`
	ScanState      string `json:"scanState"`
	MsgTime        string `json:"msgTime"`
	SystemOperator string `json:"systemOperator"`
	OrderID        uint   `json:"orderId"`
}
