package order

// QueryInvoiceInfoRequest 查询发票详情.
type QueryInvoiceInfoRequest struct {
	CustomerID uint   `json:"customerId"`
	ChannelID  uint   `json:"channelId"`
	AppKey     string `json:"appKey"`
	OrderID    uint   `json:"orderId"`
}

func (o QueryInvoiceInfoRequest) GetApiName() string {
	return "jingdong.ctp.finance.getInvoiceDetail"
}

func (o QueryInvoiceInfoRequest) GetRespName() string {
	return "jingdong_ctp_finance_getInvoiceDetail_responce"
}

func (o QueryInvoiceInfoRequest) GetRespObj() interface{} {
	return QueryInvoiceInfoResponse{}
}

// QueryInvoiceInfoResponse 查询发票详情.
type QueryInvoiceInfoResponse struct {
	Result struct {
		ErrCode uint            `json:"errCode"`
		ErrMsg  string          `json:"errMsg"`
		Success bool            `json:"success"`
		Data    []InvoiceDetail `json:"data"`
	} `json:"result"`
}

type InvoiceDetail struct {
	Valid                string             `json:"valid"`
	TaxRate              float64            `json:"taxRate"`
	UpdateTime           string             `json:"updateTime"`
	Remark               string             `json:"remark"`
	IvcCode              string             `json:"ivcCode"`
	IvcContentType       uint               `json:"ivcContentType"`
	IvcTitle             string             `json:"ivcTitle"`
	IvcContentName       string             `json:"ivcContentName"`
	FileUrl              string             `json:"fileUrl"`
	ExpandColumn         string             `json:"expandColumn"`
	IvcTime              string             `json:"ivcTime"`
	IvcNo                string             `json:"ivcNo"`
	IvcType              uint               `json:"ivcType"`
	TotalTaxPrice        float64            `json:"totalTaxPrice"`
	OrderID              uint               `json:"orderId"`
	TotalPrice           float64            `json:"totalPrice"`
	InvoiceSkuDetailList []InvoiceSkuDetail `json:"invoiceSkuDetailList"`
}

type InvoiceSkuDetail struct {
	IvcSkuName string  `json:"ivcSkuName"`
	Unit       string  `json:"unit"`
	Num        uint    `json:"num"`
	Price      float64 `json:"price"`
	TaxRate    float64 `json:"taxRate"`
	IvcPrice   float64 `json:"ivcPrice"`
	Isn        string  `json:"isn"`
	IvcNum     uint    `json:"ivcNum"`
	SkuId      string  `json:"skuId"`
	SkuName    string  `json:"skuName"`
}
