package order

// ConfirmOrderRequest 确认收货请求.
type ConfirmOrderRequest struct {
	CustomerID uint   `json:"customerId"`
	ClientPort string `json:"clientPort"`
	ChannelID  uint   `json:"channelId"`
	ClientIp   string `json:"clientIp"`
	AppKey     string `json:"appKey"`
	OrderID    uint   `json:"orderId"`
}

func (o ConfirmOrderRequest) GetApiName() string {
	return "jingdong.ctp.order.confirmDelivery"
}

func (o ConfirmOrderRequest) GetRespName() string {
	return "jingdong_ctp_order_confirmDelivery_responce"
}

func (o ConfirmOrderRequest) GetRespObj() interface{} {
	return ConfirmOrderResponse{}
}

// ConfirmOrderResponse 确认收货返回.
type ConfirmOrderResponse struct {
	Result struct {
		ErrCode uint   `json:"errCode"`
		ErrMsg  string `json:"errMsg"`
		Success bool   `json:"success"`
	} `json:"result"`
}
