package order

// QueryPayInfoRequest 查看支付详情.
type QueryPayInfoRequest struct {
	CustomerID uint   `json:"customerId"`
	ChannelID  uint   `json:"channelId"`
	AppKey     string `json:"appKey"`
	OrderID    uint   `json:"orderId"`
}

func (o QueryPayInfoRequest) GetApiName() string {
	return "jingdong.ctp.order.getOrderPayInfo"
}

func (o QueryPayInfoRequest) GetRespName() string {
	return "jingdong_ctp_order_getOrderPayInfo_responce"
}

func (o QueryPayInfoRequest) GetRespObj() interface{} {
	return QueryPayInfoResponse{}
}

// QueryPayInfoResponse 查看支付返回.
type QueryPayInfoResponse struct {
	Result struct {
		ErrCode uint         `json:"errCode"`
		ErrMsg  string       `json:"errMsg"`
		Success bool         `json:"success"`
		Data    PayInfoParam `json:"data"`
	} `json:"result"`
}

type PayInfoParam struct {
	RefundDetailList []RefundDetail `json:"refundDetailList"`
	RefundTotalFee   float64        `json:"refundTotalFee"`
	RootOrderID      uint           `json:"rootOrderId"`
	PaidInDetailList []PaidDetail   `json:"paidInDetailList"`
	ChannelOrderID   string         `json:"channelOrderId"`
	FreightFee       float64        `json:"freightFee"`
	PaidInTotalFee   float64        `json:"paidInTotalFee"`
	OrderFee         float64        `json:"orderFee"`
}

type RefundDetail struct {
	RefundFee  float64 `json:"refundFee"`
	RefundType uint    `json:"refundType"`
	RefundTime string  `json:"refundTime"`
}

type PaidDetail struct {
	PaidInType uint    `json:"paidInType"`
	PaidInTime string  `json:"paidInTime"`
	PaidInFee  float64 `json:"paidInFee"`
}
