package order

// PushOrderRequest 推送订单.
type PushOrderRequest struct {
	CustomerID uint   `json:"customerId"`
	ChannelID  uint   `json:"channelId"`
	AppKey     string `json:"appKey"`
	OrderID    uint   `json:"orderId"`
}

func (o PushOrderRequest) GetApiName() string {
	return "jingdong.ctp.order.pushOrder"
}

func (o PushOrderRequest) GetRespName() string {
	return "jingdong_ctp_order_pushOrder_responce"
}

func (o PushOrderRequest) GetRespObj() interface{} {
	return PushOrderResponse{}
}

// PushOrderResponse 推送订单返回.
type PushOrderResponse struct {
	Result struct {
		ErrCode uint   `json:"errCode"`
		ErrMsg  string `json:"errMsg"`
		Success bool   `json:"success"`
	} `json:"result"`
}
