package order

// QueryOrderIDRequest 反查询orderId.
type QueryOrderIDRequest struct {
	CustomerID     uint   `json:"customerId"`
	ChannelID      uint   `json:"channelId"`
	TraceID        string `json:"traceId"`
	AppKey         string `json:"appKey"`
	ChannelOrderID string `json:"channelOrderId"`
	Pin            string `json:"pin"`
}

func (o QueryOrderIDRequest) GetApiName() string {
	return "jingdong.ctp.order.querySubmitOrder"
}

func (o QueryOrderIDRequest) GetRespName() string {
	return "jingdong_ctp_order_querySubmitOrder_responce"
}

func (o QueryOrderIDRequest) GetRespObj() interface{} {
	return QueryOrderIDResponse{}
}

// QueryOrderIDResponse 反查询orderId.
type QueryOrderIDResponse struct {
	Result struct {
		ErrCode uint              `json:"errCode"`
		ErrMsg  string            `json:"errMsg"`
		Success bool              `json:"success"`
		Data    QueryOrderIDParam `json:"data"`
	} `json:"result"`
}

type QueryOrderIDParam struct {
	ChannelID      uint   `json:"channelId"`
	ChannelOrderID string `json:"channelOrderId"`
	OrderID        uint   `json:"orderId"`
}
