package sku

import "git.oa00.com/go/jcook-sdk/api/rest"

// GetSkuDetailRequest 获取sku详情.
type GetSkuDetailRequest struct {
	CtpProtocol    rest.CtpProtocol `json:"ctpProtocol"`
	SkuDetailParam DetailParam      `json:"skuDetailParam"`
}
type DetailParam struct {
	DetailAssemblyType uint   `json:"detailAssemblyType"`
	SkuIDSet           []uint `json:"skuIdSet"`
}

func (o GetSkuDetailRequest) GetApiName() string {
	return "jingdong.ctp.ware.sku.getSkuDetail"
}

func (o GetSkuDetailRequest) GetRespName() string {
	return "jingdong_ctp_ware_sku_getSkuDetail_responce"
}

func (o GetSkuDetailRequest) GetRespObj() interface{} {
	return GetSkuDetailResponse{}
}

// GetSkuDetailResponse 获取物流轨迹返回.
type GetSkuDetailResponse struct {
	Result struct {
		Data    []GetSkuDetailParams `json:"data"`
		ErrCode uint                 `json:"errCode"`
		ErrMsg  string               `json:"errMsg"`
		Success bool                 `json:"success"`
	} `json:"result"`
}

type GetSkuDetailParams struct {
	ImageInfos      []ImageBase     `json:"imageInfos"`
	WReadMe         string          `json:"wReadMe"`
	SkuID           uint            `json:"skuId"`
	Specifications  []Specification `json:"specifications"`
	ExtAtts         []Attr          `json:"extAtts"`
	SkuBaseInfo     Base            `json:"skuBaseInfo"`
	SkuBigFieldInfo BigFieldInfo    `json:"skuBigFieldInfo"`
}

type BigFieldInfo struct {
	PcWDis        string `json:"pcWdis"`
	PcHtmlContent string `json:"pcHtmlContent"`
	PcJsContent   string `json:"pcJsContent"`
	PcCssContent  string `json:"pcCssContent"`
}

type Specification struct {
	GroupName  string `json:"groupName"`
	Attributes []Attr `json:"attributes"`
}

type Attr struct {
	AttName  string   `json:"attName"`
	ValNames []string `json:"valNames"`
}

type ImageBase struct {
	Path      string `json:"path"`
	Features  string `json:"features"`
	OrderSort uint   `json:"orderSort"`
	IsPrimary uint   `json:"isPrimary"`
	Position  string `json:"position"`
	Type      uint   `json:"type"`
}

type Base struct {
	SkuName           string      `json:"skuName"`
	VenderName        string      `json:"venderName"`
	ShopName          string      `json:"shopName"`
	CategoryID1       uint        `json:"categoryId1"`
	CategoryID2       uint        `json:"categoryId2"`
	CategoryID        uint        `json:"categoryId"`
	Length            float64     `json:"length"`
	Width             float64     `json:"Width"`
	Height            float64     `json:"Height"`
	PackageType       string      `json:"packageType"`
	Model             string      `json:"model"`
	Color             string      `json:"color"`
	ColorSequence     string      `json:"colorSequence"`
	UpcCode           string      `json:"upcCode"`
	Size              string      `json:"size"`
	SizeSequence      string      `json:"sizeSequence"`
	Unit              string      `json:"unit"`
	Warranty          string      `json:"warranty"`
	ShelfLife         string      `json:"shelfLife"`
	Delivery          string      `json:"delivery"`
	PlaceOfProduction string      `json:"placeOfProduction"`
	Tax               string      `json:"tax"`
	ProductID         uint        `json:"productId"`
	SkuStatus         uint        `json:"skuStatus"`
	Yn                uint        `json:"yn"`
	Fare              uint        `json:"fare"`
	CategoryName1     string      `json:"categoryName1"`
	CategoryName2     string      `json:"categoryName2"`
	CategoryName      string      `json:"categoryName"`
	SkuInfoType       uint        `json:"skuInfoType"`
	BookSkuBaseInfo   BookSkuBase `json:"bookSkuBaseInfo"`
}

type BookSkuBase struct {
	SizeAndHeight   string `json:"sizeAndHeight"`
	MarketPrice     string `json:"marketPrice"`
	PackNum         string `json:"packNum"`
	Language        string `json:"language"`
	Remarker        string `json:"remarker"`
	AttachmentNum   string `json:"attachmentNum"`
	ChinaCatalog    string `json:"chinaCatalog"`
	ForeignBookName string `json:"foreignBookName"`
	Pages           string `json:"pages"`
	ISBN            string `json:"ISBN"`
	Attachment      string `json:"attachment"`
	Compile         string `json:"compile"`
	Proofreader     string `json:"proofreader"`
	Publishers      string `json:"publishers"`
	Id              string `json:"id"`
	Brand           string `json:"brand"`
	Letters         string `json:"letters"`
	PublishTime     string `json:"publishTime"`
	BatchNo         string `json:"batchNo"`
	Author          string `json:"author"`
	ISSN            string `json:"ISSN"`
	Format          string `json:"format"`
	Drawer          string `json:"drawer"`
	BookName        string `json:"bookName"`
	BarCode         string `json:"barCode"`
	PicNo           string `json:"picNo"`
	Transfer        string `json:"transfer"`
	PrintNo         string `json:"printNo"`
	PackageStr      string `json:"packageStr"`
	PublishNo       string `json:"publishNo"`
	Series          string `json:"series"`
	Editer          string `json:"editer"`
	PrintTime       string `json:"printTime"`
	Photography     string `json:"photography"`
}
