package sku

import "git.oa00.com/go/jcook-sdk/api/rest"

type ApiSkuListParam struct {
	ScrollID  string `json:"scrollId"`
	SkuStatus uint   `json:"skuStatus"`
	PageSize  uint   `json:"pageSize"`
}
type GetSkuRequest struct {
	CtpProtocol     rest.CtpProtocol `json:"ctpProtocol"`
	ApiSkuListParam ApiSkuListParam  `json:"apiSkuListParam"`
}

func (o GetSkuRequest) GetApiName() string {
	return "jingdong.ctp.ware.sku.getSkuList"
}

func (o GetSkuRequest) GetRespName() string {
	return "jingdong_ctp_ware_sku_getSkuList_responce"
}

func (o GetSkuRequest) GetRespObj() interface{} {
	return ListResponse{}
}

type EntryParams struct {
	CategoryName2 string `json:"categoryName2"`
	CategoryName1 string `json:"categoryName1"`
	CategoryID    uint   `json:"categoryId"`
	SkuName       string `json:"skuName"`
	BrandID       uint   `json:"brandId"`
	BrandName     string `json:"brandName"`
	Modified      int64  `json:"modified"`
	ImgUrl        string `json:"imgUrl"`
	CategoryName  string `json:"categoryName"`
	CategoryId1   uint   `json:"categoryId1"`
	CategoryId2   uint   `json:"categoryId2"`
	Created       int64  `json:"created"`
	SkuStatus     uint   `json:"skuStatus"`
	SkuID         uint   `json:"skuId"`
	EnBrandName   string `json:"enBrandName"`
}

type ListParams struct {
	ScrollID string        `json:"scrollId"`
	Total    uint          `json:"total"`
	Entries  []EntryParams `json:"entries"`
}

type ListResponse struct {
	Code   string `json:"code"`
	Result struct {
		Data    ListParams `json:"data"`
		ErrCode uint       `json:"errCode"`
		ErrMsg  string     `json:"errMsg"`
		Success bool       `json:"success"`
	} `json:"result"`
}
