package sku

import "git.oa00.com/go/jcook-sdk/api/rest"

// GetSkuPriceRequest 请求sku价格.
type GetSkuPriceRequest struct {
	CtpProtocol       rest.CtpProtocol `json:"ctpProtocol"`
	SkuPriceInfoParam PriceParam       `json:"skuPriceInfoParam"`
}
type PriceParam struct {
	SkuIDSet []uint `json:"skuIdSet"`
}

func (o GetSkuPriceRequest) GetApiName() string {
	return "jingdong.ctp.ware.price.getSkuPriceInfoList"
}

func (o GetSkuPriceRequest) GetRespName() string {
	return "jingdong_ctp_ware_price_getSkuPriceInfoList_responce"
}

func (o GetSkuPriceRequest) GetRespObj() interface{} {
	return GetSkuPriceResponse{}
}

// GetSkuPriceResponse 请求sku价格返回
type GetSkuPriceResponse struct {
	Result struct {
		ErrCode uint        `json:"errCode"`
		ErrMsg  string      `json:"errMsg"`
		Success bool        `json:"success"`
		Data    PriceDetail `json:"data"`
	} `json:"result"`
}
type PriceDetail struct {
	SkuPriceList []Price `json:"skuPriceList"`
	CustomerId   uint    `json:"customerId"`
	ChannelId    uint    `json:"channelId"`
}

type Price struct {
	ErrorMessage string  `json:"errorMessage"`
	SkuPrice     float64 `json:"skuPrice"`
	SkuId        uint    `json:"skuId"`
	IsSuccess    bool    `json:"isSuccess"`
}
